Package com.verisign.epp.interfaces.addlemail

## Class EPPAddlEmailTst

- java.lang.Object
- - com.verisign.epp.interfaces.addlemail.EPPAddlEmailTst

-     public class EPPAddlEmailTst
      extends java.lang.Object

  Is a unit test of the com.verisign.epp.codec.contact package with implementing the Internationalized Email Addresses in the Extensible Provisioning Protocol (EPP).

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPAddlEmailTst()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `beforeClass()` | JUNIT `suite` static method, which returns the tests associated with `EPPEAITst`.
    `void` | `contactCreate()` | Unit test of `EPPContact.sendCreate` for a contact with an EAI address.
    `void` | `contactInfo()` | Unit test of `EPPContact.sendInfo` for a contact with an EAI address.
    `void` | `contactUpdate()` | Unit test of `EPPContact.sendUpdate` for a contact with an EAI address.
    `void` | `handleException​(java.lang.Exception aException)` | Handle an `EPPCommandException`, which can be either a server generated error or a general exception.
    `java.lang.String` | `makeContactName()` | Makes a unique contact name using the current time.
    `void` | `setUp()` | JUNIT `setUp` method, which sets the default client Id to "theRegistrar".
    `void` | `tearDown()` | JUNIT `tearDown`, which currently does nothing.
    `void` | `testContact()` | JUNIT test method to implement the `EPPEAITst TestCase`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPAddlEmailTst

          public EPPAddlEmailTst()

  - ### Method Detail

    - #### testContact

          public void testContact()

      JUNIT test method to implement the `EPPEAITst TestCase`. Each sub-test will be invoked in order to satisfy testing the EPPDomain interface.

    - #### contactCreate

          public void contactCreate()

      Unit test of `EPPContact.sendCreate` for a contact with an EAI address. There are two create commands sent:
      1. Send a contact create command for a contact with an alternate ASCII email.
      2. Send a contact create command for a contact with an alternate primary SMTPUTF8 email.

    - #### contactUpdate

          public void contactUpdate()

      Unit test of `EPPContact.sendUpdate` for a contact with an EAI address. There are two update commands sent:
      1. Send a contact update command with an alternate ASCII email.
      2. Send a contact update command with an alternate SMTPUTF8 email.
      3. Send a contact update command with unset alternate email.

    - #### contactInfo

          public void contactInfo()

      Unit test of `EPPContact.sendInfo` for a contact with an EAI address. There are two info commands sent:
      1. Send a contact info command for a contact with an alternate ASCII email.
      2. Send a contact info command for a contact with an alternate SMTPUTF8 email.
      3. Send a contact info command for a contact with an unset alternate email.

    - #### setUp

          public void setUp()

      JUNIT `setUp` method, which sets the default client Id to "theRegistrar".

    - #### tearDown

          public void tearDown()

      JUNIT `tearDown`, which currently does nothing.

    - #### beforeClass

          public static void beforeClass()

      JUNIT `suite` static method, which returns the tests associated with `EPPEAITst`.

    - #### handleException

          public void handleException​(java.lang.Exception aException)

      Handle an `EPPCommandException`, which can be either a server generated error or a general exception. If the exception was caused by a server error, "Server Error :<Response XML>" will be specified. If the exception was caused by a general algorithm error, "General Error :<Exception Description>" will be specified.
      Parameters:
        `aException` - Exception thrown during test

    - #### makeContactName

          public java.lang.String makeContactName()

      Makes a unique contact name using the current time.
      Returns:
        Unique contact name `String`